hpp-core: hpp::core::configurationShooter::UniformTpl< generator_t > Class Template Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::configurationShooter::UniformTpl< generator_t > Class Template Reference
Configuration Sampling

Uniformly sample with bounds of degrees of freedom using a custom generator. More...

`#include <hpp/core/configuration-shooter/uniform-tpl.hh>`

Inheritance diagram for hpp::core::configurationShooter::UniformTpl< generator_t >:
[legend]
Collaboration diagram for hpp::core::configurationShooter::UniformTpl< generator_t >:
[legend]

## Public Types
typedef shared_ptr< UniformTpl< generator_t > > | Ptr_t
typedef weak_ptr< UniformTpl< generator_t > > | WkPtr_t

## Public Member Functions
void | seed (typename generator_t::result_type seed)
| Set the generator seed.
Public Member Functions inherited from hpp::core::ConfigurationShooter
virtual Configuration_t | shoot () const
| Shoot a random configuration.
virtual void | shoot (Configuration_t &q) const
virtual | ~ConfigurationShooter ()

## Static Public Member Functions
static Ptr_t | create (const DevicePtr_t &robot)

## Protected Member Functions
| UniformTpl (const DevicePtr_t &robot)
void | init (const Ptr_t &self)
virtual void | impl_shoot (Configuration_t &q) const
Protected Member Functions inherited from hpp::core::ConfigurationShooter
| ConfigurationShooter ()
void | init (const ConfigurationShooterWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

template<class generator_t>
class hpp::core::configurationShooter::UniformTpl< generator_t >

Uniformly sample with bounds of degrees of freedom using a custom generator.

## Member Typedef Documentation

## ◆ Ptr_t

template<class generator_t >

typedef shared_ptr<UniformTpl<generator_t> > hpp::core::configurationShooter::UniformTpl< generator_t >::Ptr_t

## ◆ WkPtr_t

template<class generator_t >

typedef weak_ptr<UniformTpl<generator_t> > hpp::core::configurationShooter::UniformTpl< generator_t >::WkPtr_t

## Constructor & Destructor Documentation

## ◆ UniformTpl()

template<class generator_t >

hpp::core::configurationShooter::UniformTpl< generator_t >::UniformTpl | ( | const DevicePtr_t & | robot | ) |
| inlineprotected

Uniformly sample configuration space

Note that translation joints have to be bounded.

## Member Function Documentation

## ◆ create()

template<class generator_t >

static Ptr_t hpp::core::configurationShooter::UniformTpl< generator_t >::create | ( | const DevicePtr_t & | robot | ) |
| inlinestatic

## ◆ impl_shoot()

template<class generator_t >

void hpp::core::configurationShooter::UniformTpl< generator_t >::impl_shoot | ( | Configuration_t & | q | ) | const
| protectedvirtual

Implements hpp::core::ConfigurationShooter.

## ◆ init()

template<class generator_t >

void hpp::core::configurationShooter::UniformTpl< generator_t >::init | ( | const Ptr_t & | self | ) |
| inlineprotected

## ◆ seed()

template<class generator_t >

void hpp::core::configurationShooter::UniformTpl< generator_t >::seed | ( | typename generator_t::result_type | seed | ) |
| inline

Set the generator seed.

The documentation for this class was generated from the following files:

- include/hpp/core/configuration-shooter/uniform-tpl.hh
- include/hpp/core/configuration-shooter/uniform-tpl.hxx